{% extends 'base.html.twig' %}
{% block stylesheets %}
    <link rel="stylesheet" href="{{ asset("frontassets/css/dropzone.css") }}"/>

{% endblock %}

{% block body %}
    {% include "_header.html.twig" %}

 <div class="main-container">
        <div class="container">
            <div class="row">

                {% for error in form.vars.errors %}
                    <div class="alert alert-danger fade in margin-bottom-40">
                        {{ error.message|trans }}
                    </div>
                {% endfor %}
                <div class="col-md-9 page-content">
                    <div class="inner-box category-content" style="background-color: #fff">
                        <h2 class="title-2 uppercase"><strong> <i class="icon-docs"></i> Ajouter votre Annonce</strong></h2>
                        <div class="row">
                            {% if type == 1 %}
                                <form action="{{ path('application_new', { 'type': type , slug:"moto"  }) }}" id="formapp" class="form-horizontal" enctype="multipart/form-data" method="post" novalidate="novalidate">

                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Titre <sup>*</sup></label>
                                        <div class="col-md-8">
                                            {{form_widget(form.title, { 'attr': {'class': 'form-control', 'placeholder': 'Titre de l\'annonce' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form.title.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.title) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Description <sup>(facultatif)</sup></label>
                                        <div class="col-md-8">
                                            {{form_widget(form.description, { 'attr': {'class': 'form-control','row':50 }}) }}
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Condition <sup>*</sup></label>
                                        <div class="col-md-8">
                                            {{form_widget(form.state, { 'attr': {'class': 'form-control'}}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form.state.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.state) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group"><label class="col-md-3 control-label">Marque-Modéle
                                            <sup>*</sup></label>
                                        <div class="col-md-4 form-inline">
                                            {{form_widget(form.marque, { 'attr': {'class': 'form-control'}}) }}

                                        </div>
                                        <div class="col-md-4">

                                            {{form_widget(form.modele, { 'attr': {'class': 'form-control'}}) }}

                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage">Kilometrage <sup>*</sup></label>
                                        <div class="col-md-4">
                                            <div class="input-group">
                                                {{form_widget(form.mileage, { 'attr': {'class': 'form-control','type':'number' }} ) }}<span class="input-group-addon">KM</span></div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form.mileage.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.mileage) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group" style="display : none">
                                        <label class="col-md-3 control-label">Nombre de places <sup>*</sup></label>
                                        <div class="col-md-4">
                                            {{form_widget(form.nbSit, { 'attr': {'class': 'form-control nbsitmoto' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form.nbSit.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.nbSit) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Couleur <sup>(facultatif)</sup></label>
                                        <div class="col-md-4">
                                            {{form_widget(form.color, { 'attr': {'class': 'form-control' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Nombre de Cylindres <sup>*</sup></label>
                                        <div class="col-md-4">
                                            {{form_widget(form.nbCylindre, { 'attr': {'class': 'form-control' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form.nbCylindre.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.nbCylindre) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Energie <sup>*</sup></label>
                                        <div class="col-md-4">
                                            {{form_widget(form.power, { 'attr': {'class': 'form-control' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form.power.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.power) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage">Puissance <sup>*</sup></label>
                                        <div class="col-md-4">
                                            <div class="input-group">
                                                {{form_widget(form.puissance, { 'attr': {'class': 'form-control','type':'number' }} ) }}<span class="input-group-addon">CV</span></div>

                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form.puissance.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.puissance) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Boite vitesse<sup>*</sup></label>
                                        <div class="col-md-4">
                                            {{form_widget(form.typeBoite, { 'attr': {'class': 'form-control' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form.typeBoite.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.typeBoite) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Date de Mise En Circulation<sup>*</sup></label>
                                        <div class="col-md-4">
                                            {{form_widget(form.dateOfCirculation, { 'attr': {'type':'date' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form.dateOfCirculation.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.dateOfCirculation) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage">Poids <sup>(facultatif)</sup></label>
                                        <div class="col-md-4">
                                            <div class="input-group">
                                                {{form_widget(form.weight, { 'attr': {'class': 'form-control','type':'number' }} ) }}<span class="input-group-addon">Kg</span></div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage">Age <sup>*</sup></label>
                                        <div class="col-md-4">
                                            <div class="input-group">
                                                {{form_widget(form.year, { 'attr': {'class': 'form-control','type':'number' }} ) }}<span class="input-group-addon">AN(S)</span></div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form.year.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.year) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage">Prix <sup>*</sup></label>
                                        <div class="col-md-4">
                                            <div class="input-group">
                                                {{form_widget(form.price, { 'attr': {'class': 'form-control','type':'number' }} ) }}<span class="input-group-addon">DT</span></div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form.price.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.price) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label class="col-md-8 control-label"></label>
                                        <div class="col-md-3">
                                            <button type="submit" id="button1id" class="btn btn-primary btn-lg" style="background-color: #0a3d91">Suivant <i class="fa fa-chevron-right fa-1x"></i></button>
                                        </div>
                                    </div>
                                    <div class="clear"></div>
                                </form>

                            {% elseif type == 2%}
                                <form action="{{ path('application_new', { 'type': type  , slug:"voiture"}) }}" id="formapp" class="form-horizontal" enctype="multipart/form-data" method="post" novalidate="novalidate">

                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Titre <sup>*</sup></label>
                                        <div class="col-md-8">
                                            {{form_widget(form.title, { 'attr': {'class': 'form-control', 'placeholder': 'Titre de l\'annonce' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form.title.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.title) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Description <sup>(facultatifl)</sup></label>
                                        <div class="col-md-8">
                                            {{form_widget(form.description, { 'attr': {'class': 'form-control' }}) }}
                                        </div>
                                    </div>
                                   {# <div class="form-group">
                                        <label class="col-md-3 control-label">Catégorie<sup>*</sup></label>
                                        <div class="col-md-8">
                                            {{form_widget(form.category, { 'attr': {'class': 'form-control','data':'Voitures' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form.category.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.category) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>#}
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Condition <sup>*</sup></label>
                                        <div class="col-md-8">
                                            {{form_widget(form.state, { 'attr': {'class': 'form-control'}}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form.state.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.state) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group"><label class="col-md-3 control-label">Marque-Modéle
                                            <sup>*</sup></label>
                                        <div class="col-md-4 form-inline">
                                            {{form_widget(form.marque, { 'attr': {'class': 'form-control'}}) }}

                                        </div>
                                        <div class="col-md-4">

                                            {{form_widget(form.modele, { 'attr': {'class': 'form-control'}}) }}

                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage">Kilometrage <sup>*</sup></label>
                                        <div class="col-md-4">
                                            <div class="input-group">
                                                {{form_widget(form.mileage, { 'attr': {'class': 'form-control','type':'number' }} ) }}<span class="input-group-addon">KM</span></div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form.mileage.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.mileage) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Nombre de places <sup>*</sup></label>
                                        <div class="col-md-4">
                                            {{form_widget(form.nbSit, { 'attr': {'class': 'form-control ' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form.nbSit.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.nbSit) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Nombre de portes <sup>(facultatif)</sup></label>
                                        <div class="col-md-4">
                                            {{form_widget(form.nbDoor, { 'attr': {'class': 'form-control' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Couleur <sup>(facultatif)</sup></label>
                                        <div class="col-md-4">
                                            {{form_widget(form.color, { 'attr': {'class': 'form-control' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Nombre de Cylindres <sup>*</sup></label>
                                        <div class="col-md-4">
                                            {{form_widget(form.nbCylindre, { 'attr': {'class': 'form-control' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form.nbCylindre.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.nbCylindre) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Energie <sup>*</sup></label>
                                        <div class="col-md-4">
                                            {{form_widget(form.power, { 'attr': {'class': 'form-control' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form.power.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.power) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage">Puissance <sup>*</sup></label>
                                        <div class="col-md-4">
                                            <div class="input-group">
                                                {{form_widget(form.puissance, { 'attr': {'class': 'form-control','type':'number' }} ) }}<span class="input-group-addon">CV</span></div>

                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form.puissance.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.puissance) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Boite vitesse<sup>*</sup></label>
                                        <div class="col-md-4">
                                            {{form_widget(form.typeBoite, { 'attr': {'class': 'form-control' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form.typeBoite.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.typeBoite) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label">Date de Mise En Circulation<sup>*</sup></label>
                                        <div class="col-md-4">
                                            {{form_widget(form.dateOfCirculation, { 'attr': {'class': 'date', 'type':'date' }}) }}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form.dateOfCirculation.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.dateOfCirculation) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage">Poids <sup>(facultatif)</sup></label>
                                        <div class="col-md-4">
                                            <div class="input-group">
                                                {{form_widget(form.weight, { 'attr': {'class': 'form-control','type':'number' }} ) }}<span class="input-group-addon">Kg</span></div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form.weight.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.weight) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>


                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage">Age <sup>*</sup></label>
                                        <div class="col-md-4">
                                            <div class="input-group">
                                                {{form_widget(form.year, { 'attr': {'class': 'form-control','type':'number' }} ) }}<span class="input-group-addon">AN(S)</span></div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form.year.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.year) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage">Prix <sup>*</sup></label>
                                        <div class="col-md-4">
                                            <div class="input-group">
                                                {{form_widget(form.price, { 'attr': {'class': 'form-control','type':'number' }} ) }}<span class="input-group-addon">DT</span></div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-3 control-label" for="kilometrage"></label>
                                        <div class="col-md-8">
                                            {% if form.price.vars.errors | length %}
                                                <div class="alert alert-danger" role="alert">{{ form_errors(form.price) }}</div>
                                            {% endif %}
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label class="col-md-8 control-label"></label>
                                        <div class="col-md-3">
                                            <button type="submit" id="button1id" class="btn btn-primary btn-lg" style="background-color: #0a3d91">Suivant <i class="fa fa-chevron-right fa-1x"></i></button>
                                        </div>
                                    </div>
                                    <div class="clear"></div>
                                </form>

                            {% endif %}


                        </div>
                        </div>
                    </div>

                <div class="col-md-3 reg-sidebar">
                    <div class="reg-sidebar-inner text-center">
                        <div class="panel sidebar-panel">
                            <div class="panel-heading uppercase">
                                <small><strong>Comment Vendre Rapidement?</strong></small>
                            </div>
                            <div class="panel-content">
                                <div class="panel-body text-left">
                                    <ul class="list-check">
                                        <li> Utilisez un bref titre et une description de l'élément</li>
                                        <li> Assurez-vous de publier dans la bonne catégorie</li>
                                        <li> Ajoutez de belles photos à votre annonce</li>
                                        <li> Mettez un prix raisonnable</li>
                                        <li> Vérifiez l'annonce avant de la publier</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                </div>

            </div>
        </div>

    {% include "_footer.html.twig" %}
{% endblock %}
{% block javascript %}

    {#
    <script src="{{ asset('frontassets/assets/js/fileinput.min.js') }}" type="text/javascript"></script>
    <script src="{{ asset('frontassets/js/dropzone.js') }}"></script>#}
    <script type="text/javascript">
        $(document).ready(function () {

            $(".nbsitmoto").val("2");
            console.log($(".nbsitmoto").val())
        })

        $('#sayara_backendbundle_vehicle_marque').change(function () {
            var marqueSelector = $(this);
            var marqueid= marqueSelector.val()

            // Request the models of the selected marque.
            $.ajax({
                url: "{{ path('vehicle_model_list') }}",
                type: "POST",
                dataType: "JSON",
                data: {
                    marqueid: marqueSelector.val()
                },
                success: function (models) {
                    var modelSelect = $("#sayara_backendbundle_vehicle_modele");

                    // Remove current options
                    modelSelect.html('');

                    // Empty value ...
                    modelSelect.append('<option value> Choisir un modele de  ' + marqueSelector.find("option:selected").text() + ' ...</option>');


                    $.each(models, function (key, model) {
                        modelSelect.append('<option value="' + model.id + '">' + model.libelle + '</option>');
                    });
                },
                error: function (err) {
                    console.log("An error ocurred while loading data ...");
                }
            });
        });


    </script>
    {% endblock %}